blob: 3f02a492d52d8785bb75a0ce0f633c64620facef [file] [log] [blame]
Tom Rinid2244b92019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyesb0722af2023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes08ed84e2023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyesb0722af2023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleyb97c1d42022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rinie0c84c82024-08-21 09:41:20 -060013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20240808-21Aug2024
Tom Rinid2244b92019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rinid2244b92019-06-19 09:25:17 -040017 - testsuites
Tom Rini1cdb1822019-07-24 13:09:31 -040018 - test.py
Tom Rinid2244b92019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rinid2244b92019-06-19 09:25:17 -040022 stage: test.py
Tom Rini6acc0192023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Andrejs Cainikovsb4453552023-09-13 16:15:36 +020024 rules:
25 - when: always
Tom Rinid2244b92019-06-19 09:25:17 -040026 before_script:
27 # Clone uboot-test-hooks
Tom Rinie0f979b2022-11-21 12:52:40 -050028 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini2a1df582021-02-24 17:05:04 -050029 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rinid2244b92019-06-19 09:25:17 -040030 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
31 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini6ad26042019-10-04 12:12:54 -040032 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
33 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Mengb68d9d62020-03-28 07:25:29 -070034 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardt29999e42023-10-25 00:15:43 +020035 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
36 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070037 fi
Bin Meng0ae41062021-08-26 23:33:35 +080038 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardt29999e42023-10-25 00:15:43 +020039 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
40 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070041 fi
Patrick Rudolphd67a7422024-10-23 15:20:20 +020042 - if [[ "${TEST_PY_BD}" == "qemu-arm-sbsa" ]]; then
43 wget -O /tmp/bl1.bin https://artifacts.codelinaro.org/artifactory/linaro-419-sbsa-ref/latest/tf-a/bl1.bin;
44 wget -O /tmp/fip.bin https://artifacts.codelinaro.org/artifactory/linaro-419-sbsa-ref/latest/tf-a/fip.bin;
45 export BINMAN_INDIRS=/tmp
46 fi
Tom Rini1cdb1822019-07-24 13:09:31 -040047
Tom Rinid2244b92019-06-19 09:25:17 -040048 after_script:
Tom Rini792dbc32024-06-27 07:43:20 -060049 - cp -v /tmp/${TEST_PY_BD}/*.{html,css,xml} .
Heinrich Schuchardt159b0ab2019-12-19 13:30:32 +010050 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rinid2244b92019-06-19 09:25:17 -040051 script:
Simon Glassda499352020-03-18 09:42:57 -060052 # If we've been asked to use clang only do one configuration.
Simon Glass28d83e72020-03-18 09:42:55 -060053 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass2e32f5d2022-08-03 12:13:09 -060054 - echo BUILD_ENV ${BUILD_ENV}
Simon Glassc2f01902023-01-15 14:16:00 -070055 - if [ -n "${BUILD_ENV}" ]; then
56 export ${BUILD_ENV};
57 fi
Simon Glass87c80462020-03-18 09:43:00 -060058 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
59 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020060 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
61 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
62 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020063 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
64 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0ae41062021-08-26 23:33:35 +080065 # create sdcard / spi-nor images for sifive unleashed using genimage
66 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
67 mkdir -p root;
68 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
69 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
70 rm -rf tmp;
71 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
72 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
73 rm -rf tmp;
74 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
75 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
76 fi
Simon Glass13e1fa02022-01-21 10:23:01 -070077 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
Tom Rinid0296f62024-02-13 09:39:27 -050078 cp /opt/coreboot/coreboot.rom ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
79 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom remove -n fallback/payload;
80 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
Simon Glass13e1fa02022-01-21 10:23:01 -070081 fi
Tom Riniebcd2142019-10-24 11:59:27 -040082 - virtualenv -p /usr/bin/python3 /tmp/venv
83 - . /tmp/venv/bin/activate
84 - pip install -r test/py/requirements.txt
Simon Glass2600f7e2020-03-18 09:42:56 -060085 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass28d83e72020-03-18 09:42:55 -060086 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rinid2244b92019-06-19 09:25:17 -040087 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardt2a3ec0a2020-07-10 22:04:40 +020088 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass2600f7e2020-03-18 09:42:56 -060089 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glassfd0c59b2020-03-18 09:42:59 -060090 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Tom Rini792dbc32024-06-27 07:43:20 -060091 --junitxml=/tmp/${TEST_PY_BD}/results.xml
Marek Vasutc1a44de2023-03-03 02:22:25 +010092 artifacts:
93 when: always
94 paths:
95 - "*.html"
96 - "*.css"
Tom Rini792dbc32024-06-27 07:43:20 -060097 reports:
98 junit: results.xml
Marek Vasutc1a44de2023-03-03 02:22:25 +010099 expire_in: 1 week
Tom Rinid2244b92019-06-19 09:25:17 -0400100
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200101.world_build:
Tom Rinid2244b92019-06-19 09:25:17 -0400102 stage: world build
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200103 rules:
104 - when: always
105
106build all 32bit ARM platforms:
107 extends: .world_build
Tom Rinid2244b92019-06-19 09:25:17 -0400108 script:
109 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500110 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530111 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700112 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600113 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600114 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400115 exit $ret;
116 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400117
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200118build all 64bit ARM platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200119 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400120 script:
Tom Rini6c883102020-02-11 12:41:14 -0500121 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rini7faea832019-07-18 07:28:36 -0400122 - . /tmp/venv/bin/activate
Tom Rini372c6972019-07-17 17:51:28 -0400123 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500124 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530125 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700126 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600127 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600128 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400129 exit $ret;
130 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400131
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200132build all PowerPC platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200133 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400134 script:
135 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500136 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassda499352020-03-18 09:42:57 -0600137 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
138 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600139 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400140 exit $ret;
141 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400142
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200143build all other platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200144 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400145 script:
146 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500147 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini93ebd462022-11-09 19:14:53 -0700148 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600149 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600150 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400151 exit $ret;
152 fi;
Tom Rinid2244b92019-06-19 09:25:17 -0400153
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200154.testsuites:
Tom Rinibdfa3762021-12-14 13:36:41 -0500155 stage: testsuites
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200156 rules:
157 - when: always
158
159check for new CONFIG symbols outside Kconfig:
160 extends: .testsuites
Tom Rinibdfa3762021-12-14 13:36:41 -0500161 script:
Tom Rini1cc7e4c2022-12-04 10:14:15 -0500162 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
163 # If grep succeeds and finds a match the test fails as we should
164 # have no matches.
165 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rini8f7345c2023-01-10 11:19:46 -0500166 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
Sumit Garg8d814682024-02-22 15:05:57 +0530167 :^include/linux/kconfig.h :^tools/ :^dts/upstream/ &&
168 exit 1 || exit 0
Tom Rinibdfa3762021-12-14 13:36:41 -0500169
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100170# build documentation
171docs:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200172 extends: .testsuites
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100173 script:
Heinrich Schuchardt846abe42021-01-25 22:06:25 +0100174 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
175 - . /tmp/venvhtml/bin/activate
176 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt2e0c8e62023-05-02 05:04:11 +0200177 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100178 - make infodocs
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100179
Tom Rinid2244b92019-06-19 09:25:17 -0400180# ensure all configs have MAINTAINERS entries
181Check for configs without MAINTAINERS entry:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200182 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400183 script:
Tom Rinica00ac62023-10-23 11:37:47 -0400184 - ./tools/buildman/buildman --maintainer-check
Tom Rinid2244b92019-06-19 09:25:17 -0400185
186# Ensure host tools build
Tom Rini8244f002023-08-20 13:31:28 -0400187Build tools-only and envtools:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200188 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400189 script:
Tom Rini8244f002023-08-20 13:31:28 -0400190 - make tools-only_config tools-only -j$(nproc);
191 make mrproper;
192 make tools-only_config envtools -j$(nproc)
Pierre-Jean Texier6812f5e2019-08-26 13:06:18 +0200193
Tom Rini0b3e0c42020-03-11 18:11:15 -0400194Run binman, buildman, dtoc, Kconfig and patman testsuites:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200195 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400196 script:
Tom Rini0b6e1032019-08-12 10:09:08 -0400197 - git config --global user.name "GitLab CI Runner";
198 git config --global user.email trini@konsulko.com;
Tom Rinid1ed4462022-08-09 21:08:54 -0400199 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini0b6e1032019-08-12 10:09:08 -0400200 export USER=gitlab;
Tom Rini6c883102020-02-11 12:41:14 -0500201 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rini0b6e1032019-08-12 10:09:08 -0400202 . /tmp/venv/bin/activate;
Tom Rini70c66dd2021-02-26 07:52:29 -0500203 pip install -r test/py/requirements.txt;
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530204 pip install -r tools/buildman/requirements.txt;
Tom Rini08086922023-08-10 12:52:24 -0400205 export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only;
Tom Rini0b6e1032019-08-12 10:09:08 -0400206 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
207 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinid1ed4462022-08-09 21:08:54 -0400208 set +e;
Simon Glass492f0b02021-03-15 17:25:34 +1300209 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini08086922023-08-10 12:52:24 -0400210 --board tools-only;
Tom Rinid1ed4462022-08-09 21:08:54 -0400211 set -e;
Tom Rini0b6e1032019-08-12 10:09:08 -0400212 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
213 ./tools/buildman/buildman -t;
214 ./tools/dtoc/dtoc -t;
Simon Glass109e84e2020-07-05 21:41:55 -0600215 ./tools/patman/patman test;
Tom Rini0b3e0c42020-03-11 18:11:15 -0400216 make testconfig
Tom Rinid2244b92019-06-19 09:25:17 -0400217
Simon Glassf6903262022-02-11 13:23:26 -0700218# Check for any pylint regressions
219Run pylint:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200220 extends: .testsuites
Simon Glassf6903262022-02-11 13:23:26 -0700221 script:
Tom Rinid1ed4462022-08-09 21:08:54 -0400222 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glassf6903262022-02-11 13:23:26 -0700223 - pip install -r test/py/requirements.txt
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530224 - pip install -r tools/buildman/requirements.txt
Tom Rini090ff812022-03-25 08:19:09 -0400225 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glassf6903262022-02-11 13:23:26 -0700226 - export PATH=${PATH}:~/.local/bin
227 - echo "[MASTER]" >> .pylintrc
228 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
Tom Rini08086922023-08-10 12:52:24 -0400229 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
Tom Rinid1ed4462022-08-09 21:08:54 -0400230 - set +e
Simon Glassf6903262022-02-11 13:23:26 -0700231 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini08086922023-08-10 12:52:24 -0400232 --board tools-only
Tom Rinid1ed4462022-08-09 21:08:54 -0400233 - set -e
Simon Glassf6903262022-02-11 13:23:26 -0700234 - pylint --version
235 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
236 - make pylint_err
237
Simon Glassf96763a2023-02-13 08:56:39 -0700238# Check for pre-schema driver model tags
239Check for pre-schema tags:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200240 extends: .testsuites
Simon Glassf96763a2023-02-13 08:56:39 -0700241 script:
242 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
243 # If grep succeeds and finds a match the test fails as we should
244 # have no matches.
245 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
246
Simon Glass5dd13b92023-02-23 18:18:24 -0700247# Check we can package the Python tools
248Check packing of Python tools:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200249 extends: .testsuites
Simon Glass5dd13b92023-02-23 18:18:24 -0700250 script:
251 - make pip
252
Tom Rinid2244b92019-06-19 09:25:17 -0400253# Test sandbox with test.py
254sandbox test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400255 variables:
256 TEST_PY_BD: "sandbox"
Tom Rinid2244b92019-06-19 09:25:17 -0400257 <<: *buildman_and_testpy_dfn
258
Tom Rini99a1bb32019-11-06 19:30:47 -0500259sandbox with clang test.py:
Tom Rini99a1bb32019-11-06 19:30:47 -0500260 variables:
261 TEST_PY_BD: "sandbox"
Tom Rinie752a3a2024-03-10 15:59:28 -0400262 OVERRIDE: "-O clang-17"
Tom Rini99a1bb32019-11-06 19:30:47 -0500263 <<: *buildman_and_testpy_dfn
264
Marek Vasut36bdb592023-09-01 10:48:10 +0200265sandbox64 test.py:
266 variables:
267 TEST_PY_BD: "sandbox64"
268 <<: *buildman_and_testpy_dfn
269
270sandbox64 with clang test.py:
271 variables:
272 TEST_PY_BD: "sandbox64"
Tom Rinie752a3a2024-03-10 15:59:28 -0400273 OVERRIDE: "-O clang-17"
Marek Vasut36bdb592023-09-01 10:48:10 +0200274 <<: *buildman_and_testpy_dfn
275
Tom Rinid2244b92019-06-19 09:25:17 -0400276sandbox_spl test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400277 variables:
278 TEST_PY_BD: "sandbox_spl"
Simon Glass36a69e12020-10-25 20:38:36 -0600279 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rinid2244b92019-06-19 09:25:17 -0400280 <<: *buildman_and_testpy_dfn
281
Simon Glass492f0b02021-03-15 17:25:34 +1300282sandbox_noinst_test.py:
Simon Glass492f0b02021-03-15 17:25:34 +1300283 variables:
284 TEST_PY_BD: "sandbox_noinst"
285 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
286 <<: *buildman_and_testpy_dfn
287
Sean Andersonf65dcc02023-10-14 16:47:59 -0400288sandbox_noinst with LOAD_FIT_FULL test.py:
289 variables:
290 TEST_PY_BD: "sandbox_noinst"
291 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
292 OVERRIDE: "-a CONFIG_SPL_LOAD_FIT_FULL=y"
293 <<: *buildman_and_testpy_dfn
294
Simon Glassa2a4eea2022-04-30 00:56:57 -0600295sandbox_vpl test.py:
296 variables:
297 TEST_PY_BD: "sandbox_vpl"
Simon Glass4e5e7f42023-04-02 14:01:26 +1200298 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa2a4eea2022-04-30 00:56:57 -0600299 <<: *buildman_and_testpy_dfn
300
Simon Glassc2f01902023-01-15 14:16:00 -0700301# Enable tracing and disable LTO, to ensure functions are not elided
302sandbox trace_test.py:
303 variables:
304 TEST_PY_BD: "sandbox"
305 BUILD_ENV: "FTRACE=1 NO_LTO=1"
306 TEST_PY_TEST_SPEC: "trace"
Sughosh Ganu0c3783e2023-08-22 23:10:02 +0530307 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000"
Simon Glassc2f01902023-01-15 14:16:00 -0700308 <<: *buildman_and_testpy_dfn
309
Tom Rini0008b882019-07-17 16:06:57 -0400310evb-ast2500 test.py:
Tom Rini0008b882019-07-17 16:06:57 -0400311 variables:
312 TEST_PY_BD: "evb-ast2500"
313 TEST_PY_ID: "--id qemu"
Tom Rini0008b882019-07-17 16:06:57 -0400314 <<: *buildman_and_testpy_dfn
315
Joel Stanley3f21e1b2022-06-29 16:35:25 +0930316evb-ast2600 test.py:
317 variables:
318 TEST_PY_BD: "evb-ast2600"
319 TEST_PY_ID: "--id qemu"
320 <<: *buildman_and_testpy_dfn
321
Tom Rinid2244b92019-06-19 09:25:17 -0400322sandbox_flattree test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400323 variables:
324 TEST_PY_BD: "sandbox_flattree"
Tom Rinid2244b92019-06-19 09:25:17 -0400325 <<: *buildman_and_testpy_dfn
326
Kristian Amlie8f8a2992021-09-07 08:37:51 +0200327vexpress_ca9x4 test.py:
328 variables:
329 TEST_PY_BD: "vexpress_ca9x4"
330 TEST_PY_ID: "--id qemu"
331 <<: *buildman_and_testpy_dfn
332
Tom Rinid2244b92019-06-19 09:25:17 -0400333integratorcp_cm926ejs test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400334 variables:
335 TEST_PY_BD: "integratorcp_cm926ejs"
336 TEST_PY_TEST_SPEC: "not sleep"
337 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400338 <<: *buildman_and_testpy_dfn
339
340qemu_arm test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400341 variables:
342 TEST_PY_BD: "qemu_arm"
343 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400344 <<: *buildman_and_testpy_dfn
345
346qemu_arm64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400347 variables:
348 TEST_PY_BD: "qemu_arm64"
349 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400350 <<: *buildman_and_testpy_dfn
351
Patrick Rudolphd67a7422024-10-23 15:20:20 +0200352qemu_arm_sbsa test.py:
353 variables:
354 TEST_PY_BD: "qemu-arm-sbsa"
355 TEST_PY_TEST_SPEC: "not sleep"
356 <<: *buildman_and_testpy_dfn
357
Marek Vasut07240eb2023-03-23 01:22:41 +0100358qemu_m68k test.py:
359 variables:
360 TEST_PY_BD: "M5208EVBE"
361 TEST_PY_ID: "--id qemu"
362 TEST_PY_TEST_SPEC: "not sleep and not efi"
363 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
364 <<: *buildman_and_testpy_dfn
365
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200366qemu_malta test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200367 variables:
368 TEST_PY_BD: "malta"
369 TEST_PY_TEST_SPEC: "not sleep and not efi"
370 TEST_PY_ID: "--id qemu"
371 <<: *buildman_and_testpy_dfn
372
373qemu_maltael test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200374 variables:
375 TEST_PY_BD: "maltael"
376 TEST_PY_TEST_SPEC: "not sleep and not efi"
377 TEST_PY_ID: "--id qemu"
378 <<: *buildman_and_testpy_dfn
379
380qemu_malta64 test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200381 variables:
382 TEST_PY_BD: "malta64"
383 TEST_PY_TEST_SPEC: "not sleep and not efi"
384 TEST_PY_ID: "--id qemu"
385 <<: *buildman_and_testpy_dfn
386
387qemu_malta64el test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200388 variables:
389 TEST_PY_BD: "malta64el"
390 TEST_PY_TEST_SPEC: "not sleep and not efi"
391 TEST_PY_ID: "--id qemu"
392 <<: *buildman_and_testpy_dfn
393
Tom Rinid2244b92019-06-19 09:25:17 -0400394qemu-ppce500 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400395 variables:
396 TEST_PY_BD: "qemu-ppce500"
397 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400398 <<: *buildman_and_testpy_dfn
399
Bin Mengaeb3ea42020-03-28 07:25:27 -0700400qemu-riscv32 test.py:
Bin Mengaeb3ea42020-03-28 07:25:27 -0700401 variables:
402 TEST_PY_BD: "qemu-riscv32"
403 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengaeb3ea42020-03-28 07:25:27 -0700404 <<: *buildman_and_testpy_dfn
405
Tom Rinic8c320e2019-08-02 11:32:37 -0400406qemu-riscv64 test.py:
Tom Rinic8c320e2019-08-02 11:32:37 -0400407 variables:
408 TEST_PY_BD: "qemu-riscv64"
409 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinic8c320e2019-08-02 11:32:37 -0400410 <<: *buildman_and_testpy_dfn
411
Bin Mengb68d9d62020-03-28 07:25:29 -0700412qemu-riscv32_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700413 variables:
414 TEST_PY_BD: "qemu-riscv32_spl"
415 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700416 <<: *buildman_and_testpy_dfn
417
418qemu-riscv64_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700419 variables:
420 TEST_PY_BD: "qemu-riscv64_spl"
421 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700422 <<: *buildman_and_testpy_dfn
423
Tom Rinid2244b92019-06-19 09:25:17 -0400424qemu-x86 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400425 variables:
426 TEST_PY_BD: "qemu-x86"
427 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400428 <<: *buildman_and_testpy_dfn
429
430qemu-x86_64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400431 variables:
432 TEST_PY_BD: "qemu-x86_64"
433 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400434 <<: *buildman_and_testpy_dfn
435
Jiaxun Yangacc795b2024-06-18 14:56:11 +0100436qemu-xtensa-dc233c test.py:
437 variables:
438 TEST_PY_BD: "qemu-xtensa-dc233c"
439 TEST_PY_TEST_SPEC: "not sleep and not efi"
440 <<: *buildman_and_testpy_dfn
441
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200442r2dplus_i82557c test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200443 variables:
444 TEST_PY_BD: "r2dplus"
445 TEST_PY_ID: "--id i82557c_qemu"
446 <<: *buildman_and_testpy_dfn
447
448r2dplus_pcnet test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200449 variables:
450 TEST_PY_BD: "r2dplus"
451 TEST_PY_ID: "--id pcnet_qemu"
452 <<: *buildman_and_testpy_dfn
453
454r2dplus_rtl8139 test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200455 variables:
456 TEST_PY_BD: "r2dplus"
457 TEST_PY_ID: "--id rtl8139_qemu"
458 <<: *buildman_and_testpy_dfn
459
460r2dplus_tulip test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200461 variables:
462 TEST_PY_BD: "r2dplus"
463 TEST_PY_ID: "--id tulip_qemu"
464 <<: *buildman_and_testpy_dfn
465
Bin Meng0ae41062021-08-26 23:33:35 +0800466sifive_unleashed_sdcard test.py:
467 variables:
468 TEST_PY_BD: "sifive_unleashed"
469 TEST_PY_ID: "--id sdcard_qemu"
470 <<: *buildman_and_testpy_dfn
471
472sifive_unleashed_spi-nor test.py:
473 variables:
474 TEST_PY_BD: "sifive_unleashed"
475 TEST_PY_ID: "--id spi-nor_qemu"
476 <<: *buildman_and_testpy_dfn
477
Michal Simekf8834fd2020-02-13 15:03:29 +0100478xilinx_zynq_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400479 variables:
Michal Simekf8834fd2020-02-13 15:03:29 +0100480 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rinid2244b92019-06-19 09:25:17 -0400481 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400482 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400483 <<: *buildman_and_testpy_dfn
484
485xilinx_versal_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400486 variables:
487 TEST_PY_BD: "xilinx_versal_virt"
488 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400489 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400490 <<: *buildman_and_testpy_dfn
491
492xtfpga test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400493 variables:
494 TEST_PY_BD: "xtfpga"
495 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400496 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400497 <<: *buildman_and_testpy_dfn
Simon Glass13e1fa02022-01-21 10:23:01 -0700498
499coreboot test.py:
500 variables:
501 TEST_PY_BD: "coreboot"
502 TEST_PY_TEST_SPEC: "not sleep"
503 TEST_PY_ID: "--id qemu"
Simon Glass13e1fa02022-01-21 10:23:01 -0700504 <<: *buildman_and_testpy_dfn